#!/bin/bash

# Create Host template for blog hosts
icingacli director host create "blog_template" --object_type template --max_check_attempts '3' --check_interval '1' --retry_interval '30' --check_command hostalive
# Create Service template for blog services 
icingacli director service create --object_type "template" --check_command "dummy" --enable_active_checks 0 "blog_template"

# Create `blog` Service for all hosts importing `blog_template`
icingacli director service create --host blog_template --imports blog_template blog

# Create hosts with ip 10.23.24.1-254 as requested in blog
for i in $(seq 1 254) ; do icingacli director host create "host$i" --check_command hostalive --address "10.23.24.$i" ; done

# Uncomment to delete hosts
#for i in $(seq 1 254) ; do icingacli director host delete "host$i" ; done

echo "[i] After successfull execution you need to commit this in the director."
